468,252 Members | 1,475 Online
Bytes | Developer Community
New Post

Home Posts Topics Members FAQ

Post your question to a community of 468,252 developers. It's quick & easy.

Compile PHP 4.4.4 and CentOS

What packages i should to install to compile PHP 4.4.4 without
problems? I got this error:

checking whether to enable DBA... yes
checking for gdbm_open in -lgdbm... yes
checking for GDBM support... yes
configure: error: DBA: Could not find necessary header file(s).

I read that I need:
gdbm-1.8.0-24
gdbm-devel-1.8.0-24
bu I got them already and I still can't compile PHP.

Sep 1 '06 #1
1 6460
*** lu***@os.pl escribió/wrote (1 Sep 2006 02:46:05 -0700):
What packages i should to install to compile PHP 4.4.4 without
problems? I got this error:

checking whether to enable DBA... yes
checking for gdbm_open in -lgdbm... yes
checking for GDBM support... yes
configure: error: DBA: Could not find necessary header file(s).

I read that I need:
gdbm-1.8.0-24
gdbm-devel-1.8.0-24
bu I got them already and I still can't compile PHP.
Perhaps DBA are the "Database (dbm-style) Abstraction Layer Functions".
According to manual, the required libraries depend on the handlers you
enable.

http://www.php.net/manual/en/ref.dba.php
--
-+ http://alvaro.es - Álvaro G. Vicario - Burgos, Spain
++ Mi sitio sobre programación web: http://bits.demogracia.com
+- Mi web de humor con rayos UVA: http://www.demogracia.com
--
Sep 2 '06 #2

This discussion thread is closed

Replies have been disabled for this discussion.

Similar topics

2 posts views Thread by rbt | last post: by
reply views Thread by mchristopher | last post: by
10 posts views Thread by qianz99 | last post: by
1 post views Thread by gquiring | last post: by
3 posts views Thread by Alexandre Gillet | last post: by
1 post views Thread by F. | last post: by
reply views Thread by NPC403 | last post: by
reply views Thread by zattat | last post: by
By using this site, you agree to our Privacy Policy and Terms of Use.